Update metadata on a ledger, balance, transaction, or identity via the Cloud Proxy.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c/metadata?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}'
{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}
Update or add metadata to a resource. Metadata is merged with existing values; existing keys are overwritten, and new keys are added.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST "https://api.cloud.blnkfinance.com/proxy/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c/metadata?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}'
ledger_id, balance_id, transaction_id, or identity_id.Bearer <access_token>. Your OAuth key must include proxy:write scope (or *).{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}
curl -X POST "https://api.cloud.blnkfinance.com/proxy/txn_c4e70eb8-e4d6-4e04-a2e2-92a43b969e0c/metadata?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}'
{
"meta_data": {
"myApp": {
"channel": "web",
"customer_id": "cust_abc123",
"approval_status": "approved"
}
}
}